Pod::Spec.new do |s|

	# ---  Metadata  ---------------------------------------------------------- #
	#
  
	s.name          = "dynatrace_flutter_plugin"
	s.version       = "3.279.2"
	s.summary       = "Monitor your Flutter application with Dynatrace."
	s.description   = "Dynatrace Plugin for Flutter"
	s.homepage      = "https://dynatrace.com"
	
	s.source           = { :path => '.' }
	s.source_files = 'Classes/**/*'
  
	s.dependency 'Flutter'
	s.dependency 'Dynatrace', '~> 8.279.1.1008'
	s.platform = :ios, '11.0'
	  
	# Flutter.framework does not contain a i386 slice. Only x86_64 simulators are supported.
	s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64' }
	s.swift_version = '5.0'
  
	# --- Project Linking ---------------------------------------------------------- #
	#
	s.ios.frameworks = "CoreLocation", "CoreTelephony", "Security", "SystemConfiguration", "MessageUI", "WebKit"
	s.libraries = "sqlite3", "z", "c++"
  
	# --- Project Settings --------------------------------------------------------- #
	#
	s.requires_arc = true
	s.compiler_flags = '-DOS_OBJECT_USE_OBJC=1'
	s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-ObjC' }
  
	# ---  License  ----------------------------------------------------------- #
	s.license = { :type => 'Commercial', :text => 'https://github.com/Dynatrace/dem-license/blob/main/LICENSE.md'} 
  
	# --- Author --------------------------------------------------------- #
	#
	s.author             = { "Dynatrace" => "support.mobile@dynatrace.com" }
	s.social_media_url   = "https://twitter.com/dynatrace"
  
  end
  
  