import '../../agent/interface/web_request_timing.dart';

/// Represents a web request timing which has no effect. It will be returned
/// instead of null in cases of errors
class NullWebRequestTiming extends WebRequestTiming {
  @override
  void startWebRequestTiming() {
    return;
  }

  @override
  void stopWebRequestTiming(int responseCode, String? responseMessage) {
    return;
  }

  @override
  String getRequestTag() {
    return "";
  }

  @override
  String getRequestTagHeader() {
    return "";
  }
}
